%global srcname pytest-rerunfailures

Summary:        A py.test plugin that re-runs failed tests to eliminate flakey failures
Name:           python-%{srcname}
Version:        12.0
Release:        4%{?dist}
License:        MPL-2.0
URL:            https://github.com/pytest-dev/pytest-rerunfailures
Source0:        %{url}/archive/%{version}/%{srcname}-%{version}.tar.gz

BuildArch:      noarch

%description
pytest-rerunfailures is a plugin for py.test that re-runs tests to eliminate
intermittent failures.

%package -n python%{python3_pkgversion}-%{srcname}
Summary:        A py.test plugin that re-runs failed tests to eliminate flakey failures
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python3-pip
BuildRequires:  python3-wheel
BuildRequires:  python3-setuptools
BuildRequires:  python3-setuptools_scm
BuildRequires:  python3-pytest
Requires:	python3-packaging
Requires:	python3-pytest
Requires:	python3-importlib-metadata

%description -n python%{python3_pkgversion}-%{srcname}
pytest-rerunfailures is a plugin for py.test that re-runs tests to eliminate
intermittent failures.

%prep
%autosetup -n %{srcname}-%{version}

%build
%pyproject_wheel

%install
%py3_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
if [ -f README.md ]; then cp -af README.md %{buildroot}/%{_pkgdocdir}; fi
if [ -f README.txt ]; then cp -af README.txt %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
	find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
	find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
	find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
	find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
popd
mv %{buildroot}/filelist.lst .

%check
%pytest

%files -n python3-pytest-rerunfailures -f filelist.lst
%dir %{python3_sitelib}/*


%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 12.0-4
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Wed Sep 18 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 12.0-3
- [Type] other
- [DESC] Remove python-tox-current-env, tox  BuildRequires

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 12.0-2
- Rebuilt for loongarch release

* Tue Sep 26 2023 Shuo Wang <abushwang@tencent.com> - 12.0-1
- update to 12.0

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 10.3-5
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 10.3-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 10.3-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 10.3-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Jan 12 2023 Miaojun Dong <zoedong@tencent.com> - 10.3-1
- initial build
